com.aliyun.player.source

## Enum VidSourceBase.StreamType

- java.lang.Object
- - java.lang.Enum<VidSourceBase.StreamType>
  - - com.aliyun.player.source.VidSourceBase.StreamType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VidSourceBase.StreamType>
  Enclosing class:
    VidSourceBase

      public static enum VidSourceBase.StreamType
      extends java.lang.Enum<VidSourceBase.StreamType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `audio` 音频
    `video` 视频

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getStreamType()` 获取视频流类型
    `static VidSourceBase.StreamType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VidSourceBase.StreamType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### video

          public static final VidSourceBase.StreamType video

      视频

    - #### audio

          public static final VidSourceBase.StreamType audio

      音频

  - ### Method Detail

    - #### values

          public static VidSourceBase.StreamType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VidSourceBase.StreamType c : VidSourceBase.StreamType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VidSourceBase.StreamType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getStreamType

          public java.lang.String getStreamType()

      获取视频流类型
      Returns:
        视频流类型